Bug 20482 - language_rfc4646_to_iso639 uses some Terminology instead of Bibliographic codes
Summary: language_rfc4646_to_iso639 uses some Terminology instead of Bibliographic codes
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: M. Tompsett
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-28 02:32 UTC by M. Tompsett
Modified: 2018-10-24 09:13 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20482: Correct Terminology codes to Bibliographic ones (3.18 KB, patch)
2018-03-28 02:52 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20482: Correct Terminology codes to Bibliographic ones (3.24 KB, patch)
2018-04-20 17:37 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 20482: (QA follow-up) Correct code in atomic update (1.21 KB, patch)
2018-04-20 17:37 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2018-03-28 02:32:53 UTC
While testing Bug 20245, other issues were also discovered.
See the following comment:
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=20245#c4
Comment 1 M. Tompsett 2018-03-28 02:52:48 UTC
Created attachment 73361 [details] [review]
Bug 20482: Correct Terminology codes to Bibliographic ones

"RELATIONSHIP TO ISO 639-2
ISO 639-2 (Codes for the representation of names of
languages-- Part 2: alpha-3 code) was based on the MARC
Code List for Languages and published in 1998. In the 22
cases where the ISO 639-2 list has two alternative codes,
the bibliographic code is the same as the MARC code."
(http://www.loc.gov/marc/languages/introduction.pdf)

This leads me to believe that eus, mri, and sqi are
incorrect. The slk code was corrected on an earlier bug.

TEST PLAN
----------
Apply patch
Do a database upgrade
-- Are eus, mri, and sqi fixed?
reset_all
-- Are eus, mri, and sqi never there in the first place?
koha qa test tools only check perl code.
Comment 2 Nick Clemens 2018-04-20 17:37:21 UTC
Created attachment 74654 [details] [review]
Bug 20482: Correct Terminology codes to Bibliographic ones

"RELATIONSHIP TO ISO 639-2
ISO 639-2 (Codes for the representation of names of
languages-- Part 2: alpha-3 code) was based on the MARC
Code List for Languages and published in 1998. In the 22
cases where the ISO 639-2 list has two alternative codes,
the bibliographic code is the same as the MARC code."
(http://www.loc.gov/marc/languages/introduction.pdf)

This leads me to believe that eus, mri, and sqi are
incorrect. The slk code was corrected on an earlier bug.

TEST PLAN
----------
Apply patch
Do a database upgrade
-- Are eus, mri, and sqi fixed?
reset_all
-- Are eus, mri, and sqi never there in the first place?
koha qa test tools only check perl code.

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 3 Nick Clemens 2018-04-20 17:37:24 UTC
Created attachment 74655 [details] [review]
Bug 20482: (QA follow-up) Correct code in atomic update

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Nick Clemens 2018-04-20 17:37:48 UTC
Trivial, passing QA
Comment 5 Jonathan Druart 2018-04-24 15:36:46 UTC
Pushed to master for 18.05, thanks to everybody involved!